Base URL: https://demo-api.incodesmile.com — Incode demo environment
Set the status of current session. Possible actions to set the status to are: Alive, Closed or Deleted. Closed status disables all of the "/add/..." calls so they can no longer make any changes to the system. Deleted status deletes the important data stored in the session.
Path & query parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
action |
query | string | yes | Enum: Alive, Closed, Deleted |
id |
query | string | id of the session, optional, if not sent obtained from token. | |
api-version |
header | string | yes |
Responses
200
OK
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
get_id |
string | Session id. | |
get_createdAt |
integer (int64) | Timestamp, when was the session created | |
get_updatedAt |
integer (int64) | Timestamp, when was the session last updated. | |
closedAt |
integer (int64) | Timestamp, when was the session last closed. | |
frontIdAttempts |
integer (int32) | Attempts to save front id. | |
backIdAttempts |
integer (int32) | Attempts to save back id. | |
selfieAttempts |
integer (int32) | Attempts to save selfie. | |
sessionStatus |
string | Session status Enum: Alive, Closed, Deleted |
400
Bad Request
Response body (application/json):
| Field | Type | Required | Description |
|---|---|---|---|
timestamp |
integer (int64) | UTC timestamp in milliseconds | |
status |
integer (int32) | Custom error code or HTTP status code | |
error |
string | HTTP status error | |
message |
string | Custom error message | |
path |
string | Endpoint path | |
details |
object | Custom error details |